
#include <sys/types.h>
#include <sys/stat.h>
#include <rw/rwfile.h>
#include "../nsrLib.h"
#include "cmr.h"

int trace = 0;

main ()
{
  CmrWriter cmr ("tree.txt");
  cmr.useShortReservedWords ();

  // Set up a dummy attribute structure.
  Attributes attr;
  attr.linkCount = (long) 2;
  attr.fileSize = (int) 512;
attr.directory = NSR: :True;
attr.symbolicLink = NSR: :False;
  attr.uid = (long) 10;
  attr.gid = (long) 11;
  attr.mode = (long) 12;
  attr.atime = (long) 13;
  attr.mtime = (long) 14;
  attr.ctime = (long) 15;

  // Set up dummy elist & plist.
  ExtentList elist;
  Extent extent;
  extent.start.uvid = 1;
  extent.start.sector = 2;
  extent.len = 100;
  elist.append (extent);
  extent.start.sector = 3;
  extent.len = 200;
  elist.append (extent);

  PathElementList plist;
  PathElement element;
element.type = NSR: :path_Standard_Root;
  element.name = "/";
  plist.append (element);
element.type = NSR: :path_Name;
  element.name = "/";
  plist.append (element);

  // Write directories & files.
  cmr.beginDir ("dir1", attr);
  cmr.beginDir ("dir1_child_1", attr);

attr.directory = NSR: :False;
  cmr.file ("file1", attr, elist);

attr.symbolicLink = NSR: :True;
  cmr.symlink ("sym1", attr, plist);
  cmr.endDir ();

attr.directory = NSR: :True;
attr.symbolicLink = NSR: :False;
  cmr.beginDir ("dir1_child_2", attr);
  cmr.endDir ();
  cmr.endDir ();



}
