//  UINT64.cpp
//
// (c) Copyright 1995  Hewlett-Packard Company.
// The contents of this software are proprietary and confidential to
// the Hewlett- Packard Company, and are limited in distribution to
// those with a direct need to know.  Individuals having access to
// this software are responsible for maintaining the confidentiality
// of the content and for keeping the software secure when not in use.
// Transfer to any party is strictly forbidden other than as expressly
// permitted in writing by Hewlett-Packard Company.  Unauthorized
// transfer to or possession by any unauthorized party may be a
// criminal offense.
//
//                  RESTRICTED RIGHTS LEGEND
//
//      Use,  duplication,  or disclosure by the Government  is
//      subject to restrictions as set forth in subdivision (b)
//      (3)  (ii)  of the Rights in Technical Data and Computer
//      Software clause at 52.227-7013.
//
//                      HEWLETT-PACKARD COMPANY
//                      3000 Hanover St.
//                      Palo Alto, CA  94304
//
//----------------------------------------------------------------------
//
// $Source: /projects/HMS/nsr/udfCore/sys/UINT64.cpp,v $
// $Revision: 1.3 $     $Author: hmgr $
// $State: Exp $        $Locker:  $
// $Date: 96/01/15 11:13:01 $
//

// The following functions are simply to re-order our
//   paramters so the UINT64 class can pick them up.
const UINT64 operator+(const UINT32 other32, 
  const UINT64 other64)
{ return other64.operator+(other32); }

const UINT64 operator-(const UINT32 other32, 
  const UINT64 other64)
{ return other64.operator-(other32); }

